Web lists-archives.com

Bug#857504: ITP: graphene -- library of graphic data types




Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@xxxxxxxxxxxxxxxx
Owner: jbicha@xxxxxxxxxx

Package Name: graphene
Version: 1.6.0
Upstream Author : Emmanuele Bassi
URL: https://github.com/ebassi/graphene
License : Expat
Programming Lang: C
Description: library of graphic data types
Graphene provides a small set of mathematical types needed to implement
graphic libraries that deal with 2D and 3D transformations and projections.

This library provides types and their relative API; it does not deal with
windowing system surfaces, drawing, scene graphs, or input.

Other Info
--------------
I am a Debian Maintainer and I expect we will maintain this package in
the pkg-gnome team. Packaging is at
https://anonscm.debian.org/git/pkg-gnome/graphene.git/

graphene is a required build-dependency for gtk4. The first major
milestone for gtk4 is 3.90, expected later this month. gtk3 is stable
with continued bugfix releases in the 3.22.* series.
https://wiki.gnome.org/Projects/GTK+/Roadmap

My packaging uses meson. (GNOME is considering switching many of their
modules to meson for 3.26 later this year.)

Thanks,
Jeremy Bicha